#!/usr/bin/env python3

import demobase

from tuikit.core.application import Application
from tuikit.widgets.label import Label
from tuikit.widgets.button import Button
from tuikit.widgets.textfield import TextField

label = Label('Hello there!')
label.pos.update(20, 10)

button = Button()
button.pos.update(20, 20)

field = TextField('text field')
field.pos.update(20, 30)

app = Application()
app.root_window.add(label)
app.root_window.add(button)
app.root_window.add(field)
app.root_window.focus_child = field
app.start()
